package com.sun.org.apache.xml.internal.serializer;

import javax.xml.transform.Transformer;
import org.xml.sax.SAXException;
import java.io.IOException;
import org.w3c.dom.Node;
import org.xml.sax.ContentHandler;
import org.xml.sax.ErrorHandler;
import org.xml.sax.DTDHandler;
import org.xml.sax.ext.DeclHandler;

public interface SerializationHandler extends ExtendedContentHandler, ExtendedLexicalHandler, XSLOutputAttributes, DeclHandler, DTDHandler, ErrorHandler, DOMSerializer, Serializer
{
    public abstract void setContentHandler(ContentHandler p0);
    
    public abstract void close();
    
    public abstract void serialize(Node p0) throws IOException;
    
    public abstract boolean setEscaping(boolean p0) throws SAXException;
    
    public abstract void setIndentAmount(int p0);
    
    public abstract void setTransformer(Transformer p0);
    
    public abstract Transformer getTransformer();
    
    public abstract void setNamespaceMappings(NamespaceMappings p0);
    
    public abstract void flushPending() throws SAXException;
    
    public abstract void setDTDEntityExpansion(boolean p0);
    
    public abstract void setIsStandalone(boolean p0);
}
